CVE-2006-1548
CVSS4.3
发布时间 :2006-03-30 17:02:00
修订时间 :2011-03-07 21:33:17
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in (1) LookupDispatchAction and possibly (2) DispatchAction and (3) ActionDispatcher in Apache Software Foundation (ASF) Struts before 1.2.9 allows remote attackers to inject arbitrary web script or HTML via the parameter name, which is not filtered in the resulting error message.


[CNNVD]Apache Struts多个远程漏洞(CNNVD-200603-510)

        在Apache Software Foundation (ASF) Struts 1.2.9之前版本的(1) LookupDispatchAction和可能(2) DispatchAction和(3) ActionDispatcher中存在跨站脚本攻击(XSS)漏洞,远程攻击者可通过在结果出错短信中未加过滤的参数名称,注入任意Web脚本和HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1548
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1548
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200603-510
(官方数据源) CNNVD

- 其它链接及资源

https://issues.apache.org/struts/browse/STR-2781
(UNKNOWN)  CONFIRM  https://issues.apache.org/struts/browse/STR-2781
http://www.vupen.com/english/advisories/2006/1205
(UNKNOWN)  VUPEN  ADV-2006-1205
http://struts.apache.org/struts-doc-1.2.9/userGuide/release-notes.html
(UNKNOWN)  CONFIRM  http://struts.apache.org/struts-doc-1.2.9/userGuide/release-notes.html
http://issues.apache.org/bugzilla/show_bug.cgi?id=38749
(UNKNOWN)  CONFIRM  http://issues.apache.org/bugzilla/show_bug.cgi?id=38749
http://xforce.iss.net/xforce/xfdb/25614
(UNKNOWN)  XF  struts-lookupmap-xss(25614)
http://www.securityfocus.com/bid/17342
(UNKNOWN)  BID  17342
http://securitytracker.com/id?1015856
(UNKNOWN)  SECTRACK  1015856
http://secunia.com/advisories/20117
(UNKNOWN)  SECUNIA  20117
http://secunia.com/advisories/19493
(UNKNOWN)  SECUNIA  19493
http://lists.suse.com/archive/suse-security-announce/2006-May/0004.html
(UNKNOWN)  SUSE  SUSE-SR:2006:010

- 漏洞信息

Apache Struts多个远程漏洞
中危 跨站脚本
2006-03-30 00:00:00 2009-04-11 00:00:00
远程  
        在Apache Software Foundation (ASF) Struts 1.2.9之前版本的(1) LookupDispatchAction和可能(2) DispatchAction和(3) ActionDispatcher中存在跨站脚本攻击(XSS)漏洞,远程攻击者可通过在结果出错短信中未加过滤的参数名称,注入任意Web脚本和HTML。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Apache Software Foundation Struts 1.1
        Apache Software Foundation struts-1.2.9-src.tar.gz
        http://apache.mirrors.northco.net/struts/source/struts-1.2.9-src.tar.g z
        Apache Software Foundation Struts 1.1
        Apache Software Foundation struts-1.2.9-src.tar.gz
        http://apache.mirrors.northco.net/struts/source/struts-1.2.9-src.tar.g z
        Apache Software Foundation Struts 1.2.7
        Apache Software Foundation struts-1.2.9-src.tar.gz
        http://apache.mirrors.northco.net/struts/source/struts-1.2.9-src.tar.g z
        Apache Software Foundation Struts 1.2.8
        Apache Software Foundation struts-1.2.9-src.tar.gz
        http://apache.mirrors.northco.net/struts/source/struts-1.2.9-src.tar.g z
        

- 漏洞信息

24365
Apache Struts Multiple Function Error Message XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-02-22 Unknow
2006-02-22 Unknow

- 解决方案

Upgrade to version 1.2.9 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站